/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) {
}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {
}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {
}

/* X-Large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {
}

/* XX-Large devices (larger desktops, 1400px and up) */
@media (min-width: 1400px) {
}

/* 
MAX Responive 
*/
@media (max-width: 575.98px) {
    .storefront-list {
        padding: 0 0.5rem !important;
        grid-template-columns: repeat(1, 1fr) !important;
        gap: 16px !important;
    }
}

/* Extra Small Devides */
@media (max-width: 767.98px) {
    .hero-wrap {
        [class^="col-lg"] {
            align-items: center;
        }
        .hero-caption {
            text-align: center;
            font-size: 2.5rem;
            line-height: 2.5rem;
            margin: 1.5rem 0;
        }
        .pp-img {
            display: block;
            max-width: 250px;
            margin: 0 auto;
        }
        .hero-actions {
            margin-bottom: 1rem;
        }
        .pp-btn-primary {
            padding: 0.9rem 1.2rem;
            font-size: 1rem;
        }
    }
    .feature-wrap {
        padding-bottom: 2rem;
        .feature-caption {
            font-size: 3rem;
            line-height: 3rem;
        }
        .feature-caption-bg {
            max-width: 100%;
        }
        .feature-desc {
            padding: 0;
            margin: 1.5rem 0;
        }
    }

    .ourgifts-wrap {
        padding: 2rem 0;

        .gifts-caption {
            min-height: 300px;
            padding: 1.5rem;
            h3 {
                font-size: 3rem;
            }
        }
        .gifts-video {
            height: 320px;
        }
    }

    .shop-by-wrap {
        .shopby-title {
            font-size: 3rem;
            margin-bottom: 1rem;
        }
        .nav-desc {
            margin: 0.5rem 0;
        }
    }
    .setup-shop-wrap {
        .shop-caption {
            h4 {
                font-size: 3.5rem;
                line-height: 3.5rem;
            }
        }
        .setup-shop-badge {
            left: -10px !important;
        }
    }
    #partyTabs {
        flex-wrap: nowrap; /* Prevents tabs from wrapping to the next line */
        overflow-x: auto; /* Enables horizontal scrolling if content overflows */
        overflow-y: hidden; /* Hides vertical scrollbar */
        justify-content: start !important;
        padding: 0px 30px 5px 30px !important;
    }

    #partyTabs .nav-item {
        white-space: nowrap; /* Ensures tab text stays on a single line */
    }

    .tab-prod-filter-grid {
        display: grid;
        grid-template-columns: 1fr !important;
    }

    .storefront-list {
        padding: 0 0.5rem !important;
        grid-template-columns: repeat(2, 1fr) !important;
        gap: 16px !important;
    }
}

/* X-Large devices (large desktops, 1200px and up) */
@media (max-width: 1200px) {
    .shop-by-wrap {
        .nav-desc {
            display: none !important;
        }
    }
}
